Bug 37233 - add slightly better logging to the python websocket_server wrapper script
Summary: add slightly better logging to the python websocket_server wrapper script
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Dirk Pranke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-07 14:37 PDT by Dirk Pranke
Modified: 2010-04-19 14:59 PDT (History)
4 users (show)

See Also:


Attachments
patch to add --verbose to websocket_server, slightly improve logging (1.96 KB, patch)
2010-04-07 14:43 PDT, Dirk Pranke
no flags Details | Formatted Diff | Diff
Patch (2.48 KB, patch)
2010-04-19 14:36 PDT, Dirk Pranke
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Pranke 2010-04-07 14:37:55 PDT
It can be hard to debug what's going on with the python websocket server; I recently spent a few misdirected hours debugging issues because I didn't realize that there was an old websocket server already running on my machine.

This change adds a --verbose flag for debug output and fixes a couple other minor nits.
Comment 1 Dirk Pranke 2010-04-07 14:43:54 PDT
Created attachment 52784 [details]
patch to add --verbose to websocket_server, slightly improve logging
Comment 2 Fumitoshi Ukai 2010-04-07 18:17:05 PDT
(In reply to comment #1)
> Created an attachment (id=52784) [details]
> patch to add --verbose to websocket_server, slightly improve logging

LGTM
Comment 3 Alexey Proskuryakov 2010-04-07 20:58:42 PDT
How does one pass this flag? I only know run-webkit-websocketserver, which doesn't seem to forward any flags.
Comment 4 Dirk Pranke 2010-04-08 12:17:36 PDT
(In reply to comment #3)
> How does one pass this flag? I only know run-webkit-websocketserver, which
> doesn't seem to forward any flags.

There isn't a generic new-run-webkit-websocketserver wrapper that would invoke this python code. We should probably add one. 

Otherwise, you would only pass this flag if you were running the script directly by hand.
Comment 5 Eric Seidel (no email) 2010-04-09 14:11:50 PDT
Comment on attachment 52784 [details]
patch to add --verbose to websocket_server, slightly improve logging

 241         pid = None
looks unrelated.
Comment 6 Dirk Pranke 2010-04-09 15:28:06 PDT
(In reply to comment #5)
> (From update of attachment 52784 [details])
>  241         pid = None
> looks unrelated.

Yes, it is unrelated, but it is one of the "other minor nits" referred to in my first comment.
Comment 7 Eric Seidel (no email) 2010-04-19 00:11:40 PDT
Comment on attachment 52784 [details]
patch to add --verbose to websocket_server, slightly improve logging

OK.
Comment 8 Dirk Pranke 2010-04-19 14:36:47 PDT
Created attachment 53722 [details]
Patch
Comment 9 Eric Seidel (no email) 2010-04-19 14:56:40 PDT
Comment on attachment 53722 [details]
Patch

OK.
Comment 10 Dirk Pranke 2010-04-19 14:59:50 PDT
Comment on attachment 53722 [details]
Patch

Clearing flags on attachment: 53722

Committed r57845: <http://trac.webkit.org/changeset/57845>
Comment 11 Dirk Pranke 2010-04-19 14:59:55 PDT
All reviewed patches have been landed.  Closing bug.